Rastro
Criar busca do Rastro
Inicia uma busca pública por email, telefone, usuário ou carteira digital.
POST
/
rastro
Criar busca do Rastro
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/rastro \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"target": "<string>",
"strategy": "all"
}
'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/rastro"
payload = {
"target": "<string>",
"strategy": "all"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({target: '<string>', strategy: 'all'})
};
fetch('https://221b-api.sherlocker.com.br/api/v1/rastro', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/rastro",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => '<string>',
'strategy' => 'all'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/rastro"
payload := strings.NewReader("{\n \"target\": \"<string>\",\n \"strategy\": \"all\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/rastro")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target\": \"<string>\",\n \"strategy\": \"all\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/rastro")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": \"<string>\",\n \"strategy\": \"all\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "rastro_search",
"status": "queued",
"type": "email",
"target": "<string>",
"strategy": "all",
"partial": true,
"coverage": {},
"billing": {
"status": "not_charged",
"amount": 123,
"unit": "tokens"
},
"artifacts": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"result": {},
"failure": {},
"poll_after_seconds": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Maximum string length:
255Body
application/json
Response
Busca aceita
Available options:
rastro_search Available options:
queued, running, completed, failed, cancelled Available options:
email, phone, username, wallet Available options:
all, first_match Situação de cada fonte consultada.
Show child attributes
Show child attributes
⌘I
Criar busca do Rastro
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/rastro \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"target": "<string>",
"strategy": "all"
}
'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/rastro"
payload = {
"target": "<string>",
"strategy": "all"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({target: '<string>', strategy: 'all'})
};
fetch('https://221b-api.sherlocker.com.br/api/v1/rastro', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/rastro",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target' => '<string>',
'strategy' => 'all'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/rastro"
payload := strings.NewReader("{\n \"target\": \"<string>\",\n \"strategy\": \"all\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/rastro")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target\": \"<string>\",\n \"strategy\": \"all\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/rastro")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target\": \"<string>\",\n \"strategy\": \"all\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "rastro_search",
"status": "queued",
"type": "email",
"target": "<string>",
"strategy": "all",
"partial": true,
"coverage": {},
"billing": {
"status": "not_charged",
"amount": 123,
"unit": "tokens"
},
"artifacts": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"result": {},
"failure": {},
"poll_after_seconds": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}